package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class DetailRadiologiVOVO
 * 
 * @author Generator
 */
public class DetailRadiologiVO extends MedicalRecordTransactionVO {
	private String keluhan;
	private Date tglHaidTerkait;

	@ManyToOne
	@JoinColumn(name = "OrderProdukVOFk")
	@NotNull(message = "OrderProdukVO Harus Diisi")
	@Caption(value = "OrderProdukVO")
	private OrderProdukVO orderProduk;

	public OrderProdukVO getOrderProdukVO() {
		return orderProduk;
	}

	public void setOrderProdukVO(OrderProdukVO orderProduk) {
		this.orderProduk = orderProduk;
	}

	public Date getTglHaidTerkait() {
		return tglHaidTerkait;
	}

	public void setTglHaidTerkait(Date tglHaidTerkait) {
		this.tglHaidTerkait = tglHaidTerkait;
	}

	public String getKeluhan() {
		return keluhan;
	}

	public void setKeluhan(String keluhan) {
		this.keluhan = keluhan;
	}

	@Column(name = "OrderProdukVOFk", insertable = false, updatable = false)
	private String orderProdukId;

}